/*
------------------- Query Examples -----------------
(C) Hans-Petter Halvorsen, Telemark University Colle
----------------------------------------------------
*/

/*----------------------------------------------------------------
--Select all books in one specific library in alphabetical order--
-----------------------------------------------------------------*/

select * from BOOK
order by Title

--or:

select Title, ISBN from BOOK
inner join BOOK_LIBRARY ON BOOK.BookId = BOOK_LIBRARY.BookId 
inner join LIBRARY ON BOOK_LIBRARY.LibraryId = LIBRARY.LibraryId
where LibraryName='Telemark University College'
order by Title



/*---------------------------------------------------------------
--Get all the chapters in on specific book in chronological order
----------------------------------------------------------------*/

select ChapterName from CHAPTER
where BookId=1
order by ChapterNumber




/*------------------------------------------------------------------
--List all the rating the customers have written for a specific book
-------------------------------------------------------------------*/

select Score, Comment from RATING
where BookId=3




/*-------------------------------------------------------------------
--List all the books a specific customer have borrowed the last month
--------------------------------------------------------------------*/

select * from BOOK
inner join LOAN on BOOK.BookId = LOAN.BookId
inner join CUSTOMER on LOAN.CustomerId = CUSTOMER.CustomerId
where CustomerName='Bill Clinton'
and LoanDate > getdate()-30




/*------------------------------------------------------------------------------
--Find out which library/libraries that have a specific book that is not on loan
-------------------------------------------------------------------------------*/

select LibraryName from BOOK
inner join BOOK_LIBRARY ON BOOK.BookId = BOOK_LIBRARY.BookId 
inner join LIBRARY ON BOOK_LIBRARY.LibraryId = LIBRARY.LibraryId
where OnLoan=0
and Title='Introduction to Linear Algebra'




