/*--------------------------------------------------------------------------------------------
Last Updated Date:	2012.03.22
Last Updated By:	hans.p.halvorsen@hit.no
Description:		Insert Data into Book Library Tables

(C) Hans-Petter Halvorsen
-------------------------------------------------------------------------------------------*/

/*
CUSTOMER
LIBRARY
CATEGORY
AUTHOR
PUBLISHER
BOOK

*/


--CUSTOMER ----------------------------------
INSERT INTO CUSTOMER (CustomerName) 
VALUES ('Bill Clinton')
GO
INSERT INTO CUSTOMER (CustomerName) 
VALUES ('Jens Stoltenberg')
GO
INSERT INTO CUSTOMER (CustomerName) 
VALUES ('Barak Obama') 
GO


--LIBRARY ----------------------------------
INSERT INTO LIBRARY (LibraryName) 
VALUES ('Telemark University College')
GO
INSERT INTO LIBRARY (LibraryName) 
VALUES ('University of Oslo')
GO
INSERT INTO LIBRARY (LibraryName) 
VALUES ('NTNU')
GO


--CATEGORY ----------------------------------
INSERT INTO CATEGORY (CategoryName) 
VALUES ('Science')
GO
INSERT INTO CATEGORY (CategoryName) 
VALUES ('Programming')
GO
INSERT INTO CATEGORY (CategoryName) 
VALUES ('Novel')
GO


--AUTHOR ----------------------------------
INSERT INTO AUTHOR (AuthorName) 
VALUES ('Knut Hamsun')
GO
INSERT INTO AUTHOR (AuthorName) 
VALUES ('Gilbert Strang')
GO
INSERT INTO AUTHOR (AuthorName) 
VALUES ('J.R.R Tolkien')
GO
INSERT INTO AUTHOR (AuthorName) 
VALUES ('Dorf Bishop')
GO


--PUBLISHER ----------------------------------
INSERT INTO PUBLISHER (PublisherName) 
VALUES ('Prentice Hall')
GO
INSERT INTO PUBLISHER (PublisherName) 
VALUES ('Wiley')
GO
INSERT INTO PUBLISHER (PublisherName) 
VALUES ('McGraw-Hill')
GO



--BOOK ----------------------------------
INSERT INTO BOOK (Title, ISBN, PublisherId, AuthorId, CategoryId) 
VALUES 
(
'Introduction to Linear Algebra',
'0-07-066781-0', 
(select PublisherId from PUBLISHER where PublisherName='Prentice Hall'),
(select AuthorId from AUTHOR where AuthorName='Gilbert Strang'),
(select CategoryId from CATEGORY where CategoryName='Science')
)
GO

INSERT INTO BOOK (Title, ISBN, PublisherId, AuthorId, CategoryId) 
VALUES 
(
'Modern Control System',
'1-08-890781-0',  
(select PublisherId from PUBLISHER where PublisherName='Wiley'),
(select AuthorId from AUTHOR where AuthorName='Dorf Bishop'),
(select CategoryId from CATEGORY where CategoryName='Programming')
)
GO

INSERT INTO BOOK (Title, ISBN, PublisherId, AuthorId, CategoryId) 
VALUES 
(
'The Lord of the Rings',
'2-09-066556-2',  
(select PublisherId from PUBLISHER where PublisherName='McGraw-Hill'),
(select AuthorId from AUTHOR where AuthorName='J.R.R Tolkien'),
(select CategoryId from CATEGORY where CategoryName='Novel')
)
GO


	

--BOOK_LIBRARY ----------------------------------
INSERT INTO BOOK_LIBRARY(BookId, LibraryId) 
VALUES 
(
(select BookId from BOOK where Title ='Introduction to Linear Algebra'),
(select LibraryId from LIBRARY where LibraryName='Telemark University College')
)
GO

INSERT INTO BOOK_LIBRARY(BookId, LibraryId) 
VALUES 
(
(select BookId from BOOK where Title ='Modern Control System'),
(select LibraryId from LIBRARY where LibraryName='Telemark University College')
)
GO

INSERT INTO BOOK_LIBRARY(BookId, LibraryId) 
VALUES 
(
(select BookId from BOOK where Title ='The Lord of the Rings'),
(select LibraryId from LIBRARY where LibraryName='Telemark University College')
)
GO


--CHAPTER ----------------------------------
INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
1,
'Chapter 1', 
(select BookId from BOOK where Title ='Introduction to Linear Algebra')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
2,
'Chapter 2', 
(select BookId from BOOK where Title ='Introduction to Linear Algebra')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
3,
'Chapter 3', 
(select BookId from BOOK where Title ='Introduction to Linear Algebra')
)
GO


INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
1,
'Chapter 1', 
(select BookId from BOOK where Title ='Modern Control System')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
2,
'Chapter 2', 
(select BookId from BOOK where Title ='Modern Control System')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
3,
'Chapter 3', 
(select BookId from BOOK where Title ='Modern Control System')
)
GO



INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
1,
'Chapter 1', 
(select BookId from BOOK where Title ='The Lord of the Rings')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
2,
'Chapter 2', 
(select BookId from BOOK where Title ='The Lord of the Rings')
)
GO

INSERT INTO CHAPTER (ChapterNumber, ChapterName, BookId) 
VALUES 
(
3,
'Chapter 3', 
(select BookId from BOOK where Title ='The Lord of the Rings')
)
GO












