IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'GetBookData' 
	   AND 	  type = 'V')
	DROP VIEW GetBookData
GO

CREATE VIEW GetBookData
AS

SELECT
BOOK.BookId, 
BOOK.Title, 
BOOK.ISBN, 
PUBLISHER.PublisherName, 
AUTHOR.AuthorName, 
CATEGORY.CategoryName,
BOOK.AverageRating,
BOOK_LIBRARY.OnLoan,
LIBRARY.LibraryId

FROM         
BOOK 
INNER JOIN BOOK_LIBRARY ON BOOK.BookId = BOOK_LIBRARY.BookId 
INNER JOIN LIBRARY ON BOOK_LIBRARY.LibraryId = LIBRARY.LibraryId 
INNER JOIN AUTHOR ON BOOK.AuthorId = AUTHOR.AuthorId 
INNER JOIN PUBLISHER ON BOOK.PublisherId = PUBLISHER.PublisherId 
INNER JOIN CATEGORY ON BOOK.CategoryId = CATEGORY.CategoryId


GO